'use strict';

(function () {

  function _obj() {}

  _obj.prototype = {

    setNext: function (next) {
      this.next = next;
    },

    identify: function (phone) {
      if (phone && phone.length == 8) {
        return 'eightDigitsWithoutDdd';
      }
      return this.next.identify(phone);
    }
  };

  exports.eightDigitsWithoutDddIdentifier = _obj;
}());
